This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 204693 - [nVidia Quadro FX 1400] Screen gets corrupted, when accelerated.
[nVidia Quadro FX 1400] Screen gets corrupted, when accelerated.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 17:03 EDT by Aleksey Nogin
Modified: 2012-04-17 15:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 15:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log (42.84 KB, text/plain)
2006-08-30 17:03 EDT, Aleksey Nogin
no flags Details
Xorg configuration file (2.92 KB, application/octet-stream)
2006-08-30 17:04 EDT, Aleksey Nogin
no flags Details

  None (edit)
Description Aleksey Nogin 2006-08-30 17:03:17 EDT
Description of problem:

Often, a screen gets corrupted. Namely: windows get garbled, background gets
garbled, xrefresh does not help, forcing something to redraw (e.g. by moving a
different window on top) sometimes helps "reveal" parts of the corrupted window,
but not for long.

Switching to a text console and back usually (always?) helps to get rid of the
problem (until it comes back again).

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-1.EL.13.37

How reproducible:

Fairly reproducible - most often gets triggered by browsing to some complex page
(Slashdot story on GPL msconceptions, for example, triggered it 3 times in a row
;-) ) in Firefox. 

Additional info:

Enabling the NoAccel option seems to help (at the expense of making certain
things, like scrolling in Firefox _painlfully_ slow).

lspci -v output (relevant part):
01:00.0 VGA compatible controller: nVidia Corporation NV41GL [Quadro FX 1400]
(rev a2) (prog-if 00 [VGA])
        Subsystem: nVidia Corporation: Unknown device 0243
        Flags: bus master, fast devsel, latency 0, IRQ 169
        Memory at dd000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=128M]
        Memory at de000000 (64-bit, non-prefetchable) [size=16M]
        Expansion ROM at dfe00000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
        Capabilities: [78] Express Endpoint IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting

Relevant(?) part from Xorg log (will also attach the whole thing):

(==) NV(0): Write-combining range (0xd0000000,0x8000000)
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Scanline Image Writes
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                32 256x256 slots
                16 512x512 slots
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
Comment 1 Aleksey Nogin 2006-08-30 17:03:18 EDT
Created attachment 135244 [details]
Xorg log
Comment 2 Aleksey Nogin 2006-08-30 17:04:38 EDT
Created attachment 135245 [details]
Xorg configuration file
Comment 4 Adam Jackson 2012-04-17 15:23:10 EDT
No further non-security updates are planned for xorg-x11 in RHEL4.  If this issue is not addressed in RHEL5 or newer, please update the affected product version and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.